@charset "utf-8";

/* FAQS */
.elements-faqs-main {
	margin-block: var(--margin-block);
	max-width: var(--width-slim);
	}
.elements-faqs {
	display: grid;
	gap: var(--gap);
	}
.elements-faqs-item {
	background-color: var(--background-light);
	border: 1px solid var(--background-trim);
	}
/* Heading */
.elements-faqs-heading {
	font-size: inherit;
	font-weight: inherit;
	margin: 0;
	}
/* Button */
.elements-faqs-button {
	color: var(--color-text);
	cursor: pointer;
	display: block;
	text-align: left;
	width: 100%;
	}
.elements-faqs-button:hover {
	color: var(--color-link);
	}
/* Header */
.elements-faqs-header {
	align-items: flex-start;
	display: grid;
	font-size: var(--text-body);
	font-weight: var(--font-weight-bold);
	gap: var(--gap);
	grid-template-columns: 1fr min-content;
	padding: var(--spacing) var(--spacing) var(--spacing) var(--margin-gap);
	}
/* Icon */
.elements-faqs-icon {
	text-align: right;
	width: 2rem;
	}
.elements-faqs-icon i {
	transition: transform var(--animation-duration) var(--animation-easing);
	}
.elements-faqs-item[data-open="1"] .elements-faqs-icon i {
	transform: rotate(45deg);
	}
/* Text */
.elements-faqs-text {
	border-top: 1px solid var(--background-trim);
	display: grid;
	grid-template-rows: 0fr;
	overflow: hidden;
	transition: grid-template-rows var(--animation-duration) var(--animation-easing);
	}
.elements-faqs-text[hidden] {
	display: grid;
	}
.elements-faqs-text:not([hidden]) {
	grid-template-rows: 1fr;
	}
/* Expander */
.elements-faqs-expander {
	min-height: 0;
	padding-inline: var(--margin-gap);
	transition: visibility var(--animation-duration) var(--animation-easing);
	visibility: hidden;
	}
.elements-faqs-expander > .textformat {
	margin: var(--gap) 0;
	}
.elements-faqs-text:not([hidden]) .elements-faqs-expander {
	visibility: visible;
	}
/* Buttons */
.elements-faqs-buttons {
	margin-bottom: var(--gap);
	}